## toolz 1.0.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Toolz.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Toolz.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Toolz"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Toolz"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
sphinx
furo

## toolz 0.8.0

=== debian/changelog ===
toolz (0.8.0-1) unstable; urgency=low

  * Initial packaging (Closes: #817779)
    This incorporates some work by Stefan van der Walt. Thank you.

 -- Diane Trout <diane@ghic.org>  Fri, 02 Dec 2016 15:22:45 -0800

=== debian/control ===
Source: toolz
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-docutils,
               python-sphinx (>= 1.0.7+dfsg-1~),
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/toolz.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/toolz.git
Homepage: http://github.com/pytoolz/toolz/
X-Python3-Version: >= 3.2
Testsuite: autopkgtest-pkg-python

Package: python3-toolz
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-toolz-doc
Description: List processing tools and functional utilities
 A set of utility functions for iterators, functions, and
 dictionaries.  These functions interoperate well and form the
 building blocks of common data analytic operations. They extend the
 standard libraries itertools and functools and borrow heavily from
 the standard libraries of contemporary functional languages.
 .
 This contains the Python 3 version

Package: python-toolz-doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Section: doc
Description: List processing tools and functional utilities documentation
 A set of utility functions for iterators, functions, and
 dictionaries.  These functions interoperate well and form the
 building blocks of common data analytic operations. They extend the
 standard libraries itertools and functools and borrow heavily from
 the standard libraries of contemporary functional languages.
 .
 This contains the documentation

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=toolz
export PYBUILD_DISABLE_python2=1

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	rm -rf build doc/build toolz.egg-info
	dh_clean

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build $(SPHINXOPTS) -n -bhtml doc/source build/html

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import toolz; print(toolz)" ; done
Depends: python3-all, python3-toolz

## toolz 0.8.1

=== debian/changelog ===
toolz (0.8.1-1) unstable; urgency=medium

  * Mark doc package as Multi-Arch: foreign
  * Import new upstream version.

 -- Diane Trout <diane@ghic.org>  Thu, 08 Dec 2016 13:34:11 -0800

## toolz 0.8.2

=== debian/changelog ===
toolz (0.8.2-3) unstable; urgency=medium

  * Add python3-all dependency to tests/control to make sure
    we test against all available versions of Python 3.
    Thanks: Steve Langasek (Closes: #867534)

 -- Diane Trout <diane@ghic.org>  Fri, 07 Jul 2017 11:37:43 -0700

toolz (0.8.2-2) unstable; urgency=medium

  * Add dont-reference-toolz-curried-exceptions.patch (Closes: #867242)

 -- Diane Trout <diane@ghic.org>  Wed, 05 Jul 2017 10:32:00 -0700

toolz (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Run installed tests
  * Skip test_curried_exceptions in build tests which depends on a doctest
    See https://github.com/pytoolz/toolz/issues/357
  * Delete .cache directory, created by py.test


 -- Diane Trout <diane@ghic.org>  Wed, 21 Dec 2016 11:13:08 -0800

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Package: python-toolz-doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Section: doc
 Description: List processing tools and functional utilities documentation
  A set of utility functions for iterators, functions, and

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$ADTTMP"
 ;   echo "Testing with $py:"
 ;   $py -m pytest --pyargs toolz
 ; done
Depends: @, python3-pytest, python3-all

=== debian/watch ===
# please also check http://pypi.debian.net/toolz/watch
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/toolz-$1.tar.gz/" \
  https://github.com/pytoolz/toolz/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## toolz 0.9.0

=== debian/changelog ===
toolz (0.9.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * remove python-docutils from b-d, no longer needed; Closes: #943242

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Apr 2020 19:32:11 -0400

toolz (0.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python3-Version field

  [ Diane Trout ]
  * New upstream release.
  * Remove dont-reference-toolz-curried-exceptions, applied upstream
  * Update Standards-Version to 4.1.4, no changes needed
  * Remove unnecessary Testsuite: attribute
  * Update X-Python3-Version to a less ancient version
  * Use Python 3 version of sphinx
  * Update to debhelper 11
  * Use https for homepage

 -- Diane Trout <diane@ghic.org>  Tue, 15 May 2018 22:32:38 -0700

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,16 @@
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
-               python-docutils,
-               python-sphinx (>= 1.0.7+dfsg-1~),
+               python3-sphinx (>= 1.0.7+dfsg-1~),
                python3-all,
                python3-pytest,
                python3-setuptools
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/toolz.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/toolz.git
-Homepage: http://github.com/pytoolz/toolz/
-X-Python3-Version: >= 3.2
-Testsuite: autopkgtest-pkg-python
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/python-team/modules/toolz.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/toolz
+Homepage: https://github.com/pytoolz/toolz/
 
 Package: python3-toolz
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 export PYBUILD_NAME=toolz
 export PYBUILD_DISABLE_python2=1
+export PYBUILD_TEST_ARGS_python3=-k'not test_curried_exception'
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
-	rm -rf build doc/build toolz.egg-info
+	rm -rf build doc/build toolz.egg-info .cache
 	dh_clean
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ;   echo "Testing with $py:"
 ;   $py -m pytest --pyargs toolz
 ; done
Depends: @, python3-pytest, python3-all

## toolz 0.11.1

=== debian/changelog ===
toolz (0.11.1-1ubuntu1) jammy; urgency=medium

  * debian/patches/python-3.10.patch: compatibility with python 3.10.
    Closes: #1001488.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 11 Dec 2021 18:47:25 +0000

toolz (0.11.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Diane Trout ]
  * New upstream release.
  * Depend on python3-docutils, not python-docutils. Thanks dose.
  * Update Standards-Version to 4.5.1. No changes needed

 -- Diane Trout <diane@ghic.org>  Thu, 19 Aug 2021 10:07:33 -0700

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: toolz
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 11),
                dh-python,
+               python3-docutils,
                python3-sphinx (>= 1.0.7+dfsg-1~),
                python3-all,
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.1.4
-Vcs-Git: https://salsa.debian.org/python-team/modules/toolz.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/toolz
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/toolz.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/toolz
 Homepage: https://github.com/pytoolz/toolz/
 
 Package: python3-toolz

## toolz 0.11.2

=== debian/changelog ===
toolz (0.11.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Contact, Repository,
    Repository-Browse.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

  [ Diane Trout ]
  * New upstream release for Python 3.10 compatibility (Closes: #1001488)

 -- Diane Trout <diane@ghic.org>  Sat, 11 Dec 2021 13:52:25 -0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: toolz
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Diane Trout <diane@ghic.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-docutils,
                python3-sphinx (>= 1.0.7+dfsg-1~),

## toolz 0.12.0

=== debian/changelog ===
toolz (0.12.0-2) unstable; urgency=medium

  * Team Upload.
  * Fixup with cme. S-V to 4.6.2
  * Add "Rules-Requires-Root: no"
  * Bump watch file version to 4
  * Update copyright year

 -- Nilesh Patra <nilesh@debian.org>  Mon, 01 Jan 2024 10:19:24 +0530

toolz (0.12.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release.
    - Supports Python 3.11 (Closes: #1022030)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-sphinx.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 19 Oct 2022 19:12:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,21 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-docutils,
-               python3-sphinx (>= 1.0.7+dfsg-1~),
+               python3-sphinx,
                python3-all,
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/python-team/packages/toolz
 Vcs-Git: https://salsa.debian.org/python-team/packages/toolz.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/toolz
 Homepage: https://github.com/pytoolz/toolz/
+Rules-Requires-Root: no
 
 Package: python3-toolz
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Suggests: python-toolz-doc
 Description: List processing tools and functional utilities
  A set of utility functions for iterators, functions, and
@@ -30,9 +33,10 @@
 
 Package: python-toolz-doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Multi-Arch: foreign
 Section: doc
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: List processing tools and functional utilities documentation
  A set of utility functions for iterators, functions, and
  dictionaries.  These functions interoperate well and form the

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ;   echo "Testing with $py:" ;   $py -m pytest --pyargs toolz ; done
Depends: @, python3-pytest, python3-all

=== debian/watch ===
# please also check https://pypi.debian.net/toolz/watch
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/toolz-$1.tar.gz/" \
  https://github.com/pytoolz/toolz/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## toolz 0.12.1

=== debian/changelog ===
toolz (0.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Minimal maintenance to support Python 3.12.
  * Fix test failure on Python 3.11.9/3.12.3/main (closes: #1069818).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Apr 2024 12:47:29 +0100

## toolz 1.0.0

=== debian/changelog ===
toolz (1.0.0-2) unstable; urgency=medium

  * Team Upload
  * Annotate dependencies nodoc & nocheck
  * Remove Python2 vs 3 crumbs
  * Build Standards-Version to 4.7.0

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Dec 2024 16:07:56 +0100

toolz (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix test failures with Python 3.13 (closes: #1082320).

 -- Colin Watson <cjwatson@debian.org>  Mon, 07 Oct 2024 10:57:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-docutils,
-               python3-sphinx,
+               dh-sequence-python3,
+               furo,
+               python3-docutils <!nodoc>,
+               python3-sphinx <!nodoc>,
                python3-all,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/toolz
 Vcs-Git: https://salsa.debian.org/python-team/packages/toolz.git
 Homepage: https://github.com/pytoolz/toolz/
@@ -28,8 +29,6 @@
  building blocks of common data analytic operations. They extend the
  standard libraries itertools and functools and borrow heavily from
  the standard libraries of contemporary functional languages.
- .
- This contains the Python 3 version
 
 Package: python-toolz-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=toolz
export PYBUILD_TEST_ARGS=-k'not test_curried_exception'

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_clean:
	rm -rf build doc/build toolz.egg-info .cache
	dh_clean

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -n -bhtml doc/source build/html

## toolz 1.1.0

=== debian/changelog ===
toolz (1.1.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1123361)
  * remove disabling test test_curried_exception
  * Directly patch the package debian version into pyproject.toml instead
    of figuring out how to package the git based tool upstream was using.

 -- Diane Trout <diane@ghic.org>  Wed, 21 Jan 2026 17:12:55 -0800

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                furo,
+               pybuild-plugin-pyproject,
                python3-docutils <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-all,
                python3-pytest <!nocheck>,
-               python3-setuptools
+               python3-setuptools,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/toolz
 Vcs-Git: https://salsa.debian.org/python-team/packages/toolz.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=toolz

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	sed -i "s/VERSION/\"$(DEB_VERSION)\"/" pyproject.toml
	rm -rf build doc/build toolz.egg-info .cache
	dh_auto_clean

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -n -bhtml doc/source build/html
